<?
require_once "header.php";
require_once "inc/recibo_xml_venda.php";
require_once "inc/messages.php";
require_once "inc/usuario.php";

/* Biblioteca Mike para Impressao EPSON*/
require 'api/Mike42/autoload.php';
use Mike42\Escpos\Printer;
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;

$usuario_impressao = getLoggedUser();
$id_usuario = $usuario_impressao['id'];
$id_unidade = $usuario_impressao['unidade'];
$nm_usuario = $usuario_impressao['nome'];

$ok   = true; // Recebe true como padrão

// verificar se houve um POST
if(!empty($_POST)){
  $id_pedido = $_POST['id_pedido'];
  $id_pedido_original = $_POST['id_pedido_original'];
}

// OR get
if(!empty($_GET)){
  $id_pedido = base64_decode($_GET['id_pedido']);
  $id_pedido_original = base64_decode($_GET['id_pedido_original']);
}

$redirect  = "erpc_pedidos_filter.php";

/* Corpo do Envio do XML*/
$ReciboXml = New ReciboXmlVenda();

$xml_string = $ReciboXml->getDados($id_pedido);

/*
$myfile = fopen("xml/xml_local.xml", "w+") or die("Unable to open file!");
//header( 'Content-type: text/xml' ); preg_replace("/(\t+)/", "", $r_xml)
fwrite($myfile, $xml_string);
fclose($myfile);
*/

/* Enviando diretamente o Xml do Pedido para Impressora */
/*
$url = 'http://177.143.60.95/edival/erp_final/printXml.php';
$nm_printer = 'smb://convidado@192.168.0.135/epson';

$url = 'http://codesatrainha.hopto.org:8282/printXml.php';
$nm_printer = 'smb://convidado@192.168.1.200/epson';

$url = 'http://192.168.0.120:8080/printXml.php';
$nm_printer = 'smb://convidado@192.168.0.120/epson';

//computername/Receipt Printer" secret -U "Bob" -c "print

$url = 'http://192.168.0.120:8080/printXml.php';
$nm_printer = 'smb://convidado@192.168.0.120/epson';

*/

$url = 'http://codesatclinica2017.hopto.org:1001/printXml.php';
$nm_printer = 'smb://convidado@192.168.1.200/epson';


$data = array(
        'xml'     => "$xml_string"  ,
        'include' => 'inc/recibo_print_venda.php',
        'printer' =>   $nm_printer, // smb://192.168.0.106/epson
        'id_usuario'=> $id_usuario,                     // ID   do usuário Logado
        'nm_usuario'=> $nm_usuario,               // Nome do Usuário Logado
        'ds_versao_sw'=>'ERPC_CODE_2017_V1.00', // Versão do Aplicativo da SW - CODECRM
        );

// use key 'http' even if you send the request to https://...
$options = array(
    'http' => array(
        'header'  => "Content-type: application/x-www-form-urlencoded\r\n",
        'method'  => 'POST',
        'content' => http_build_query($data)
    )
);
$context= stream_context_create($options);
$result = file_get_contents($url, false, $context);
if ($result === FALSE) { echo 'error'; /* Handle error */ }

// Só imprimo o que o script me retornar. Se quiser retornar um objeto por lá, recomendo montar um array e imprimir o resultado via json_encode, e aqui
// dar um decode e trabalhar com ele.
// var_dump(htmlspecialchars ($result));

if($result==""){
  addMessage("Recibo de Venda Nro: $id_pedido_original foi enviado com sucesso para a Impressora.$nm_printer");
}else{
  addError("Verifique se o computador $nm_printer e Impressora estão ligados!");
  addError("Erro ao enviar Recibo de Venda Nro: $id_pedido_original");
}

header("location:$redirect");

// $p_mensagem = "Gerando o Recibo do Pedido $id_pedido_original... Por Favor aguarde.!";

?>
<? include_once "footer.php";?>

<!-- Incluido a última versão do JQuery, necessidade do EasySat -->
<script type="text/javascript" src="js\jquery-3.1.1.min.js"></script>
